Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
dsam::DsamDevice::Info Struct Reference

DSAm device info. More...

`import <DsamDevice.idl;`

## Public Attributes
int | dsamNumber
| DSAM number (1-based)
string | serialNumber
| DSAM serial number.
int | portCount
| Number of ports on the DSAM.
int | hardwareVersion
| Hardware version number.
FirmwareVersion | firmwareVersion
| Firmware version.

## Detailed Description

DSAm device info.

Definition at line 26 of file DsamDevice.idl.

## Member Data Documentation

## ◆ dsamNumber

int dsam::DsamDevice::Info::dsamNumber

DSAM number (1-based)

Definition at line 27 of file DsamDevice.idl.

## ◆ firmwareVersion

FirmwareVersion dsam::DsamDevice::Info::firmwareVersion

Firmware version.

Definition at line 31 of file DsamDevice.idl.

## ◆ hardwareVersion

int dsam::DsamDevice::Info::hardwareVersion

Hardware version number.

Definition at line 30 of file DsamDevice.idl.

## ◆ portCount

int dsam::DsamDevice::Info::portCount

Number of ports on the DSAM.

Definition at line 29 of file DsamDevice.idl.

## ◆ serialNumber

string dsam::DsamDevice::Info::serialNumber

DSAM serial number.

Definition at line 28 of file DsamDevice.idl.

The documentation for this struct was generated from the following file:

- DsamDevice.idl